//
//  ItemInfoView.swift
//  Jel
//
//  Created by zerocool on 12/24/23.
//

import SwiftUI
import JellyfinKit

struct ItemInfoView: View {
  var item: BaseItemDto
  
  var body: some View {
    VStack(alignment: .leading) {
      HStack {
        Text((item.productionYear != nil) ? String(item.productionYear!) : "---")
          .shadow(color: .black, radius: 1)
        Text("•")
          .shadow(color: .black, radius: 1)
        Text(item.genres?.first ?? "---")
          .shadow(color: .black, radius: 1)
      }
      if item.type == .movie {
        Text(item.getRuntime() ?? "-:--")
          .shadow(color: .black, radius: 1)
      }
    }
    .font(.caption)
  }
}

//#Preview {
//  ItemInfoView()
//}
